GET
/editorial/genresReturns a list of supported genres with their names and representative images. Good for building a generic Browse or Explore page.
Rate limit
60 req/min
Caching
Cached indefinitely. Seldom changes.
Authentication
Send a
User-Agent header containing a contact email. See authentication.Request
curl 'https://api.synkradio.co.uk/editorial/genres' \
-H 'User-Agent: [email protected]'Try it
GETTry it
Sends a real requestNo parameters.
https://api.synkradio.co.uk/editorial/genresResponse
200 application/json
[
{
"id": 0,
"name": "All",
"image": "https://api.synkradio.co.uk/media/images/misc//1000x1000-000000-80-0-0.jpg"
},
{
"id": 132,
"name": "Pop",
"image": "https://api.synkradio.co.uk/media/images/misc/db7a604d9e7634a67d45cfc86b48370a/1000x1000-000000-80-0-0.jpg"
},
{
"id": 116,
"name": "Rap/Hip Hop",
"image": "https://api.synkradio.co.uk/media/images/misc/5c27115d3b797954afff59199dad98d1/1000x1000-000000-80-0-0.jpg"
},
{
"id": 152,
"name": "Rock",
"image": "https://api.synkradio.co.uk/media/images/misc/b36ca681666d617edd0dcb5ab389a6ac/1000x1000-000000-80-0-0.jpg"
}
]